package enemies;

import flash.geom.Point;
import flixel.FlxObject;
import ice.entity.GameObject;
import openfl.Assets;

/**
 * ...
 * @author 
 */
class Mole extends GameObject
{
	var startPos:Point;
	
	public function new(Pos:Point) 
	{
		super("Mole", Pos);
		
		startPos = Pos;
		
		loadGraphic(Assets.getBitmapData("assets/images/Mole.png"), true, true, 32, 32);
		
		height = 22;
		offset.y = 10;
		
		animation.add("popout", [0, 1, 2, 3], 6, false);
		animation.add("burrow", [3, 2, 1, 0], 6, false);
		animation.add("shuffle", [3, 4], 4, true);
		
		AddComponent(new MoleLogic(GID));
	}
	
	public function hitEdge()
	{
		GetComponent(MoleLogic).flip = true;
	}
	
	public function Reset()
	{
		setPosition(startPos.x, startPos.y);
		velocity.x = 0;
		velocity.y = 0;
	}
}